Subscriber Client Profiles API
GET
/v1/client_profiles(subscriber)
List Client Profiles.
Service
subscriber
subscriber
Accepted Roles (RBAC)
AdministratorNetwork OperationsSubscriber AdministratorRequest Parameters
| Name | In | Type | Description | MUST include |
|---|---|---|---|---|
| X-Auth-Token | header | string | Valid Authentication Token. Please see developers documentation/identity. | X |
| X-Timezone | header | string | Timezone for response datetime property values. (default UTC) | |
| id | query | string | Filter by id. (can suffix with wildcard *) | |
| l | query | integer | Paginate Limit / Entities per Page. (1-50, 0 for infinite, -1 for streaming) | |
| name | query | string | Filter by name. (can suffix with wildcard *) | |
| p | query | integer | Paginate Current Page. (default 1) | |
| sc | query | string | Sort by Property/Column. (id, name) | |
| sd | query | string | Sort direction. asc for Ascending or desc for Descending |
Response Status Codes
| Code | Meaning |
|---|---|
| 200 | OK |
| 400 | Bad Request |
| 401 | Unauthorized / Require Authentication |
| 403 | Forbidden / Access Denied |
| 409 | Conflict |
| 429 | Too Many Requests / Your Rate Limited |
| 500, 501, 502, 503, 504 | Service Unavailable |
Response Properties
| Name | In | Type | Description |
|---|---|---|---|
| description | body | string | Description of Entity. |
| domain | body | string | Entity Domain. |
| id | body | string | Unique Entity ID. |
| metadata.page | body | integer | Current Page. (always 1 for infinite) |
| metadata.pages | body | integer | Total Pages. (always 1 for infinite) |
| metadata.per_page | body | integer | Equeal to the entities per page limit or always equal to total records for infinite queries. |
| metadata.records | body | integer | Total entities found. (always max 250 unless infinite is accepted query parameter) |
| name | body | string | Name of Entity. |
Response Example
{
"payload": [
{
"id": "d3e14621-bac1-11ee-8769-525400bd8e3a",
"domain": "interstellio.io",
"name": "CISCO",
"description": "CISCO"
},
{
"id": "9bece11b-bc39-4672-bb8a-c94362a6b815",
"domain": "interstellio.io",
"name": "JUNIPER",
"description": "JUNIPER"
}
],
"metadata": {
"records": 2,
"page": 1,
"pages": 1,
"per_page": 10
}
}
POST
/v1/client_profile(subscriber)
Create Client Profile.
Service
subscriber
subscriber
Accepted Roles (RBAC)
AdministratorNetwork OperationsSubscriber AdministratorRequest Parameters
| Name | In | Type | Description | MUST include |
|---|---|---|---|---|
| X-Auth-Token | header | string | Valid Authentication Token. Please see developers documentation/identity. | X |
| X-Timezone | header | string | Timezone for response datetime property values. (default UTC) | |
| description | body | string | Description of Entity. | |
| name | body | string | Name of Entity. | X |
Request Example
{
"name": "MIKROTIK",
"description": "MIKROTIK"
}
Response Status Codes
| Code | Meaning |
|---|---|
| 200 | OK |
| 400 | Bad Request |
| 401 | Unauthorized / Require Authentication |
| 403 | Forbidden / Access Denied |
| 409 | Conflict |
| 429 | Too Many Requests / Your Rate Limited |
| 500, 501, 502, 503, 504 | Service Unavailable |
Response Properties
| Name | In | Type | Description |
|---|---|---|---|
| description | body | string | Description of Entity. |
| domain | body | string | Entity Domain. |
| id | body | string | Unique Entity ID. |
| name | body | string | Name of Entity. |
Response Example
{
"id": "9bece11b-bc39-4672-bb8a-c94362a6b815",
"domain": "interstellio.io",
"name": "MIKROTIK",
"description": "MIKROTIK"
}
GET
/v1/client_profile/{client_profile_id}(subscriber)
Show Client Profile Details.
Service
subscriber
subscriber
Accepted Roles (RBAC)
AdministratorNetwork OperationsSubscriber AdministratorRequest Parameters
| Name | In | Type | Description | MUST include |
|---|---|---|---|---|
| X-Auth-Token | header | string | Valid Authentication Token. Please see developers documentation/identity. | X |
| X-Timezone | header | string | Timezone for response datetime property values. (default UTC) | |
| client_profile_id | url | string | Client Profile Id. | X |
Response Status Codes
| Code | Meaning |
|---|---|
| 200 | OK |
| 400 | Bad Request |
| 401 | Unauthorized / Require Authentication |
| 403 | Forbidden / Access Denied |
| 404 | Not Found |
| 409 | Conflict |
| 429 | Too Many Requests / Your Rate Limited |
| 500, 501, 502, 503, 504 | Service Unavailable |
Response Properties
| Name | In | Type | Description |
|---|---|---|---|
| description | body | string | Description of Entity. |
| domain | body | string | Entity Domain. |
| id | body | string | Unique Entity ID. |
| name | body | string | Name of Entity. |
Response Example
{
"id": "9bece11b-bc39-4672-bb8a-c94362a6b815",
"domain": "interstellio.io",
"name": "JUNIPER",
"description": "JUNIPER"
}
DELETE
/v1/client_profile/{client_profile_id}(subscriber)
Delete Client Profile.
Service
subscriber
subscriber
Accepted Roles (RBAC)
AdministratorNetwork OperationsSubscriber AdministratorRequest Parameters
| Name | In | Type | Description | MUST include |
|---|---|---|---|---|
| X-Auth-Token | header | string | Valid Authentication Token. Please see developers documentation/identity. | X |
| client_profile_id | url | string | Client Profile Id. | X |
Response Status Codes
| Code | Meaning |
|---|---|
| 204 | OK - No Content |
| 400 | Bad Request |
| 401 | Unauthorized / Require Authentication |
| 403 | Forbidden / Access Denied |
| 404 | Not Found |
| 409 | Conflict |
| 429 | Too Many Requests / Your Rate Limited |
| 500, 501, 502, 503, 504 | Service Unavailable |